Bug 204166 - Review Request: xeuphoric - an X based Oric emulator
Review Request: xeuphoric - an X based Oric emulator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ExcludeArch-x64/F-ExcludeArch-x64 FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-26 05:37 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-15 18:02:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-08-26 05:37:36 EDT
Spec URL: http://www.knox.net.nz/~nodoid/xeuphoric.spec
SRPM URL: http://www.knox.net.nz/~nodoid/xeuphoric-0.18.2-2.src.rpm
Description: 

xeuphoric is an emulator which covers the range of Oric computers and it's add ons.

The ROMS are not a problem on this application - all of the companies which at one time have owned or been part of the lineage of the ORIC computers have all bit the dust with no successors in name or who have the rights. The emulator itself has been around for 7 years now (it was written by an engineer at Microsoft!) and is widely used around the world.

Current development has stopped which means there are a number of unresolved issues (such as the x86_64/ia64 blocker due to problems with the assembler code). However, I will shortly be taking this package over and will resolve this issue. There will also be a desktop icon at some point.
Comment 1 Jason Tibbitts 2006-09-02 00:52:38 EDT
I note a typo in the URL:; s/treaser/teaser/.

I'm not sure how you can say that the ROMs are not a problem.  Unless you can
prove that the copyright has expired or has been relinquished to the public
domain, I don't think you have any redistribution permission.  This would seem
to be a rather significant issue.

For reference, here is the relevant statement from the README file:

LEGAL
    atmos.rom, microdisc.rom and oric1.rom are copyright 1983 Tangerine.
    Tangerine is defunct. We don't know who the current assignee of the
    copyright is (if any).

    hyperbasic.rom, teleass.rom, telematic.rom and telemon-2.4.rom are
    copyright Oric International. Oric International is defunct. We
    don't know who the current assignee of the copyright is (if any).

    jasmin.rom is copyright Technologie Recherche et Applications
    Nouvelles. As far as I know, T.R.A.N. doesn't exist anymore. We
    don't know who the current assignee of the copyright is (if any).
Comment 2 Paul F. Johnson 2006-09-02 06:17:28 EDT
I've looked further into this and according to companies house in the UK, every
company who had any rights to the ROMS have vanished with no successor in name
or title.

Of course, if it's a big problem, I'll package the ROMS in the same way as I did
for fuse-emulator to keep things clean.
Comment 3 Tom "spot" Callaway 2006-10-14 17:30:52 EDT
All of these entities have been legally defunct for almost twenty years
(Tangerine Computer Systems is Oric International, died in 1988, no one
purchased their assets.) I'm lifting the legal hold on this one, but I'd advise
you to put the ROMS in a subpackage, in the unlikely event that a copyright
holder emerges from the depths. Also, they're being openly distributed by
another high-profile site (oric.org), so there is no risk here. Lifting FE-LEGAL.
Comment 4 Paul F. Johnson 2006-10-14 18:07:22 EDT
New SRPMS and SPEC file (creates the roms subpackage)

SPEC : http://nodoid.homelinux.org/fedora/xeuphoric.spec
SRPM : http://nodoid.homelinux.org/fedora/xeuphoric-0.18.2-3.src.rpm
Comment 5 Jason Tibbitts 2006-10-14 20:32:51 EDT
That typo in the URL is still there.

rpmlint has some complaints:
W: xeuphoric file-not-utf8 /usr/share/man/man1/xeuphoric.1.gz
   Indeed it isn't, probably due to a single character in the author's name.
W: xeuphoric non-conffile-in-etc /etc/xeuphoric/0.18.2/xeuphoricrc
   This needs to be marked %config.
E: xeuphoric configure-without-libdir-spec
   This is bogus; the configure script was not generated by autotools.
W: xeuphoric-roms no-documentation
   Not a problem.

So two valid complaints there.

The flags passed to the compiler seem to be "-DX11 -g -Wall -O3", which are
incorrect.  This is fixable by changing the make line to:
   make CFLAGS="-DX11 %{optflags}" %{?_smp_mflags}
The resulting executable seems to work fine.

I wonder if the base package shouldn't require the roms package, instead of the
other way around.  Normally you'd just install xeuphoric and have it pull in the
roms; currently if you do that you get something that doesn't work too well.

Review:
* source files match upstream:
   4a2469ee45d6476350ffc0a92d165990  xeuphoric-0.18.2.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
X compiler flags are not appropriate.
* %clean is present.
* package builds in mock (development, i386).
* package installs properly
* debuginfo package looks complete.
X rpmlint has valid complaints.
? final provides and requires are sane:
  xeuphoric-0.18.2-3.fc5.i386.rpm
   xeuphoric = 0.18.2-3.fc5
  =
   libX11.so.6
   libXext.so.6
   libartsc.so.0

  xeuphoric-roms-0.18.2-3.fc5.i386.rpm
   xeuphoric-roms = 0.18.2-3.fc5
  =
   xeuphoric = 0.18.2-3.fc5

* %check is not present; no test suite upstream.  Package manually tested and
found to be OK.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
X GUI app, but no desktop file.
Comment 6 Paul F. Johnson 2006-10-15 08:32:58 EDT
SPEC : http://nodoid.homelinux.org/fedora/xeuphoric.spec
SRPM : http://nodoid.homelinux.org/fedora/xeuphoric-0.18.2-4.src.rpm

Done the bits you've said. Now has a desktop file and desktop file icon.
Added R xeuphoric-roms to the main package
Sorted the makefile and config file problems

I've not sorted the UTF-8 error in the man file as it's the guy's name and if it
needs a foreign character to be correct, then a foreign character it is.
Comment 7 Jason Tibbitts 2006-10-15 17:44:28 EDT
Foreign characters are fine; that's what UTF-8 is for, after all.  But the point
is that documents must be legal UTF-8, and the manpage isn't because it includes
a character that is not properly encoded.  To fix it, you just need to make that
iconv call on docsrc/xeuphoric.1 instead of doc/xeuphoric.1 and everything
should be fine.

Everthing else about the package looks fine now, so just make that one change
and go ahead and check it in.

APPROVED
Comment 8 Paul F. Johnson 2006-10-15 18:02:36 EDT
Thanks and imported :-)
Comment 9 Ian Chapman 2007-06-28 18:55:08 EDT
Package Change Request
======================
Package Name: xeuphoric
Updated Fedora Owners: packages@amiga-hardware.com,paul@all-the-johnsons.co.uk

The current maintainer (paul@all-the-johnsons.co.uk) has given me his permission
to take ownership of this package as he is unable to maintain it at the moment
for personal reasons. I would like Paul to remain as co-maintainer in case he
wishes to continue with the package in the future.
Comment 10 Kevin Fenzi 2007-06-28 19:12:13 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.